Bug 1194020 - Warning icon used in bulk action warning on Products screen is barely visible
Summary: Warning icon used in bulk action warning on Products screen is barely visible
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-18 19:16 UTC by Matt Reid
Modified: 2017-08-01 19:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:57:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
Default size (7.84 KB, image/png)
2015-02-18 19:16 UTC, Matt Reid
no flags Details
Zoomed in (89.36 KB, image/png)
2015-02-18 19:17 UTC, Matt Reid
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17688 0 None None None 2016-12-15 17:03:12 UTC

Description Matt Reid 2015-02-18 19:16:05 UTC
Description of problem:
If you go to Content > Products > and click Bulk Actions, a warning message appears, saying that "At least one product needs to be selected in order to perform a bulk action".

Next to this string is a white circle with an exclamation point in it. There isn't enough contrast for the icon to be easily visible, and the only way I could really tell what the icon was, was to increase the zoom level in the browser.

The icon should be clearly recognizable at its default size.

Version-Release number of selected component (if applicable):
6.0.6

Comment 1 Matt Reid 2015-02-18 19:16:21 UTC
Created attachment 993264 [details]
Default size

Comment 2 Matt Reid 2015-02-18 19:17:11 UTC
Created attachment 993265 [details]
Zoomed in

Comment 3 RHEL Program Management 2015-02-18 20:06:25 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 5 Bryan Kearney 2016-07-08 20:44:57 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 7 Walden Raines 2016-12-15 16:13:53 UTC
Created redmine issue http://projects.theforeman.org/issues/17688 from this bug

Comment 8 Walden Raines 2016-12-15 16:18:20 UTC
The bulk actions product page is gone now but I fixed a somewhat related issue to the icon.  See:

https://github.com/Katello/bastion/pull/141
https://github.com/Katello/bastion/pull/152

Comment 9 Bryan Kearney 2016-12-15 19:06:48 UTC
Upstream bug component is Uncategorized

Comment 10 Bryan Kearney 2016-12-15 19:06:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17688 has been resolved.

Comment 11 Bryan Kearney 2016-12-16 19:06:52 UTC
Upstream bug component is WebUI

Comment 12 Bryan Kearney 2016-12-16 19:06:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17688 has been resolved.

Comment 13 Bryan Kearney 2016-12-16 19:08:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17688 has been resolved.

Comment 14 Bryan Kearney 2016-12-16 19:14:54 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17688 has been resolved.

Comment 15 Roxanne Hoover 2016-12-19 15:28:27 UTC
If it is a warning, can we use the warning icon found in pattern fly?

http://www.patternfly.org/pattern-library/communication/inline-notifications/#/api

pficon-warning-triangle-o

Comment 16 Walden Raines 2016-12-19 16:16:55 UTC
(In reply to Roxanne Hoover from comment #15)
> If it is a warning, can we use the warning icon found in pattern fly?
> 
> http://www.patternfly.org/pattern-library/communication/inline-notifications/
> #/api
> 
> pficon-warning-triangle-o

That what we're doing in https://github.com/Katello/bastion/pull/141 and https://github.com/Katello/bastion/pull/152.

Comment 17 Bryan Kearney 2017-08-01 19:57:41 UTC
The fix to this bug will be delivered with release 6.3 of Satellite.


Note You need to log in before you can comment on or make changes to this bug.